[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.IsMouseOverCellButton

Indicates if the specified mouse position is over a cell defined with a button column cell editor.

## Declaration

Source position: grids.pas line 1143

`protected function TCustomGrid.IsMouseOverCellButton(`
`X: Integer;`
`Y: Integer`
`):Boolean;`

## Arguments

`X` |  | Horizontal screen coordinate for the mouse pointer.
`Y` |  | Vertical screen coordinate for the mouse pointer.

## Function result

True when the mouse coordinates in X and Y are located over a cell which uses a button column cell editor.

## Description

The return value is True when the mouse coordinates in X and Y are located over a cell which uses a button column cell editor. IsMouseOverCellButton temporarily disables AllowOutBoundEvents while the return value is determined.

IsMouseOverCellButton is used in the implementation of the MouseDown method to determine if the cell needs to be drawn in a pushed state.

## See also

TCustomGrid.Columns |  | Definitions for the columns displayed the grid.
TCustomGrid.ColumnFromGridColumn |  | Returns the grid column definition at the specified position in Columns.
TCustomGrid.AllowOutBoundEvents |  | Allows a mouse click on unused space in the control, and moves the cursor to the nearest valid cell.
TCustomGrid.MouseToCell |  | Converts the specified mouse screen coordinates to cell coordinates.
TGridColumn.ButtonStyle |  | The style used for a button displayed for cells in the column.